Package org.eclipse.net4j.util.lifecycle

## Interface ILifecycle.DeferrableActivation

- All Known Implementing Classes:
    `Cache`, `CacheMonitor`, `ChallengeNegotiator`, `ChallengeResponseNegotiator`, `Container`, `DelegatingRegistry`, `ExecutorWorkSerializer`, `FileUserManager`, `FiniteStateMachine`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `Lifecycle`, `LifecycleHook`, `ManagedContainer`, `Negotiator`, `PriorityQueueRunner`, `QueueRunner`, `QueueRunner2`, `QueueWorker`, `QueueWorkerWorkSerializer`, `Randomizer`, `ReferenceMonitor`, `ReferenceQueueWorker`, `Registry`, `ResponseNegotiator`, `RollingLog`, `RWLockManager`, `RWOLockManager`, `SerializingExecutor`, `SetContainer`, `ShareableLifecycle`, `UIQueueRunner`, `UserManager`, `UserManagerAuthenticator`, `Worker`
  Enclosing interface:
    ILifecycle

      public static interface ILifecycle.DeferrableActivation

  A mix-in interface for `lifecycles` with deferrable activation.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isDeferredActivation()` |

- - ### Method Detail

    - #### isDeferredActivation

          boolean isDeferredActivation()